import ButtonLink from "@/Components/Buttons/ButtonLink";
import PagTitle from "@/Components/Title/PagTitle";
import MainSmLayout from "@/Layouts/MainSmLayout";
import Data from "@/DataJson/Data";
import CustomToast from "@/Components/Toasts/CustomToast";
import Card from "@/Components/Card";
import { Link } from "@inertiajs/react";

export default function Index({ success, courses }) {
    return (
        <MainSmLayout navigation={Data.RESET_PAY.NAVIGATION} homeLink={route('resetpay')} icon={Data.RESET_PAY.ICON}>
            {success && <CustomToast message={success} />}

            <div className="flex justify-between items-center mb-3 pb-3 border-b border-border">
                <PagTitle title="Meus Cursos" subtitle="Gerencie seus cursos. Crie novos cursos clicando no botão 'Criar novo'." />

                <ButtonLink href={route('course.create')}>
                    Criar novo
                </ButtonLink>
            </div>

            <div className="grid lg:grid-cols-4 md:grid-cols-2 grid-cols-1 mt-10">
                {courses.data.map((course, index) =>
                    <Link href="">
                        <Card>
                        </Card>
                    </Link>
                )}
            </div>
        </MainSmLayout>
    );
}